## libarchive 1.2.53

=== libarchive/test/Makefile ===
#
# The test.sh script takes two arguments:
#    * cc args to locate the libarchive header files.
#    * cc args to locate the libarchive library.
#
test:
	./test.sh "-I\"${.OBJDIR}\" -I\"${.CURDIR}\"" "-L\"${.OBJDIR}\""

clean:
	rm -f *.out
	rm -f *~

## libarchive 1.3.1

=== libarchive/test/Makefile ===
# TODO: Integrate this with FreeBSD build system, so it can
# optionally be run as part of "buildworld".

test:
	# Compile utility.c; every test harness links against this.
	cc -c -g -o test.o test.c
	# Compile and run every test harness
	for p in test-*.c; do			\
		cc -Wall -g -o $$p.out $$p test.o -I\"${.OBJDIR}\" -I\"${.CURDIR}\" -L\"${.OBJDIR}\" -larchive -lz -lbz2;	\
		./$$p.out || echo Failed $$p;	\
	done

clean:
	rm -f *.out
	rm -f *.o
	rm -f *~

## libarchive 2.2.4

=== examples/minitar/Makefile ===
CFLAGS=				\
	-DNO_BZIP2_CREATE	\
	-DNO_BZIP2_EXTRACT	\
	-DNO_COMPRESS_EXTRACT	\
	-DNO_CPIO_EXTRACT	\
	-DNO_CREATE		\
	-DNO_GZIP_CREATE	\
	-DNO_GZIP_EXTRACT	\

# Omit 'tree.o' if you're not including create support
#OBJS= minitar.o tree.o
OBJS= minitar.o

all: minitar

minitar: $(OBJS)
	cc -o minitar -static $> -larchive -lz -lbz2
	strip minitar
	ls -l minitar

minitar.o: minitar.c

tree.o: tree.c

clean::
	rm -f *.o
	rm -f minitar
	rm -f *~

## libarchive 2.8.0

=== debian/changelog ===
libarchive (2.8.0-2ubuntu0.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via iso9660 overflows
    - debian/patches/CVE-2011-1777.patch: correctly fail on out of memory
      conditions in libarchive/archive_read_support_format_iso9660.c.
    - CVE-2011-1777
  * SECURITY UPDATE: arbitrary code execution via tar overflows
    - debian/patches/CVE-2011-1778.patch: correctly fail on out of memory
      conditions in libarchive/archive_read_support_format_tar.c
    - CVE-2011-1778

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 09 Dec 2011 15:25:53 -0500

libarchive (2.8.0-2) unstable; urgency=low

  * Clean up libarchive.la file. (Closes: #571468)
    - Thanks to Sune Vuorela for suggesting this fix.
  * Update patch series:
    + added two patches matching revision 1990, 1991 from upstream
      regarding PATH_MAX hopefully fixing build on Hurd.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Feb 2010 22:31:13 +0100

libarchive (2.8.0-1) unstable; urgency=low

  * Set myself as maintainer (Closes: #570539).
    + co-maintainers welcome!
  * Imported Upstream version 2.8.0 (Closes: #559158)
  * Drop debian revision in symbols file.
  * Updated symbols for 2.8
  * Update rules for new build directory (config.aux -> build/autoconf)
  * Replace ${Source-Version} with ${source:Version} in control file.
  * Drop debian/shlibs.local.ex
  * Bump debhelper compatibility level to 5.
  * Stop trying to install non-existant usr/share/pkgconfig
  * Update Vcs fields to point to new collab-maint repository.
  * Update debian/copyright
  * Bump Standards-Version to 3.8.4
  * Add update-patch-series target in debian/rules.
  * Added patch to fix gvfsd-archive problems:
    + 0001-Clear-archive_error_number-in-archive_clear_error.patch
    (from http://bugs.gentoo.org/show_bug.cgi?id=289260#c1 )
  * Switch to dpkg-source 3.0 (quilt) format
  * Split Build-Depends on multiple lines.
  * Add liblzma-dev to Build-Depends for lzma support.
  * Add Build-Depends on libxml2-dev for xar support.
  * Explicitly give --without-openssl to configure.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Feb 2010 20:50:25 +0100

libarchive (2.6.2-2) unstable; urgency=low

  * Orphaning the package; set maintainer to QA group.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 11:23:14 -0600

libarchive (2.6.2-1) unstable; urgency=low

  * New Upstream Version.  Closes: #516577.
  * Update watch file to new homepage.  Closes: #517398.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Mar 2009 09:32:31 -0500

libarchive (2.6.1-1) unstable; urgency=low

  * New Upstream Version
  * Update homepage.  Closes: #514835.
  * Clean up Debian rules.  Patch partially from Bernhard R. Link.
    Closes: #480495.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Feb 2009 09:28:57 -0600

libarchive (2.4.17-2) unstable; urgency=high

  [ John Goerzen ]
  * Ignore failures in test suite due to bugs in the testsuite that were
    turning into FTBFS bugs.  Closes: #474400.

  * Added README.Debian documenting need for largefile suport in
    sources. Mostly used suggested text found in #479728.  Closes:
    #479728.

  [ Bernhard R. Link ]
  * Added symbols file for libarchive.  Closes: #476516.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 05 Jun 2008 15:42:57 -0500

libarchive (2.4.17-1) unstable; urgency=high

  * New Upstream Version
  * This upstream version corrected several problems with the testsuite.
    Therefore, we can now run test suite after build.  Closes: #473221.
  * uudecode is now used as part of the build.  Added build-dep on sharutils.
    Fixes FTBFS.  Closes: #473266.
  
 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 Apr 2008 09:25:04 -0500

libarchive (2.4.14-1) unstable; urgency=high

  * New upstream release.  Closes: #465061, #448292.  #465061 is grave bug,
    so setting urgency high.
  * Added Vcs-* and Homepage lines to debian/control

 -- John Goerzen <jgoerzen@complete.org>  Sat, 29 Mar 2008 10:14:21 -0500

libarchive (2.4.11-1) unstable; urgency=low

  * New upstream version.
  * Move bsdtar to section utils.  Closes: #460988.
  * Added bsdcpio package due to new upstream cpio command.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Jan 2008 10:02:29 -0600

libarchive (2.2.4-1) unstable; urgency=high

  * New upstream version with security fixes.  Closes: #432924.
    Fixes: CVE-2007-3641, CVE-2007-3644, CVE-2007-3645

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Jul 2007 08:14:00 -0500

libarchive (2.2.3-1) unstable; urgency=low

  * New upstream version.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 03:36:35 -0500

libarchive (2.0.25-3) unstable; urgency=low

  * SONAME should not be tied to the tarball version string 
  (Closes: #418637) Provide libarchive.so.1 as a backwards-compatible 
  symlink to libarchive.so.2, reverting the package name to libarchive1.
  Patch from Neil Williams.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 Apr 2007 13:50:29 +0100

libarchive (2.0.25-2) unstable; urgency=low

  * Remove build-dep on linux-kernel-headers for compatibility with BSD
    ports.  Closes: #377480.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 20:03:37 -0500

libarchive (2.0.25-1) unstable; urgency=low

  * New upstream version
  * Remove unnecessary dep on libarchive1.  Closes: #396756.
  * Bump standards-version
  * Rename libarchive1 to libarchive2 to match new soname.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 07:03:53 -0500

libarchive (1.3.1-1) unstable; urgency=high

  * New upstream release.
  * Applied FreeBSD patch for potential DoS.
    This is CVS-2006-5680, FreeBSD SA-06:24.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Dec 2006 05:51:08 -0600

libarchive (1.2.53-2) unstable; urgency=low

  * Added build-dep on bison.  Closes: #374200.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 17 Jun 2006 17:24:44 -0500

libarchive (1.2.53-1) unstable; urgency=low



=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php libarchive-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/libarchive-(.*)\.tar\.gz

http://code.google.com/p/libarchive/downloads/list http://libarchive.googlecode.com/files/libarchive-(.*).tar.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/libarchive-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/libarchive/libarchive-(.*)\.tar\.gz

## libarchive 2.8.3-1

=== doc/html/Makefile ===

default: all


archive_entry.3.html: ../../libarchive/archive_entry.3
	groff -mdoc -T html ../../libarchive/archive_entry.3 > archive_entry.3.html

archive_read.3.html: ../../libarchive/archive_read.3
	groff -mdoc -T html ../../libarchive/archive_read.3 > archive_read.3.html

archive_read_disk.3.html: ../../libarchive/archive_read_disk.3
	groff -mdoc -T html ../../libarchive/archive_read_disk.3 > archive_read_disk.3.html

archive_util.3.html: ../../libarchive/archive_util.3
	groff -mdoc -T html ../../libarchive/archive_util.3 > archive_util.3.html

archive_write.3.html: ../../libarchive/archive_write.3
	groff -mdoc -T html ../../libarchive/archive_write.3 > archive_write.3.html

archive_write_disk.3.html: ../../libarchive/archive_write_disk.3
	groff -mdoc -T html ../../libarchive/archive_write_disk.3 > archive_write_disk.3.html

cpio.5.html: ../../libarchive/cpio.5
	groff -mdoc -T html ../../libarchive/cpio.5 > cpio.5.html

libarchive-formats.5.html: ../../libarchive/libarchive-formats.5
	groff -mdoc -T html ../../libarchive/libarchive-formats.5 > libarchive-formats.5.html

libarchive.3.html: ../../libarchive/libarchive.3
	groff -mdoc -T html ../../libarchive/libarchive.3 > libarchive.3.html

libarchive_internals.3.html: ../../libarchive/libarchive_internals.3
	groff -mdoc -T html ../../libarchive/libarchive_internals.3 > libarchive_internals.3.html

mtree.5.html: ../../libarchive/mtree.5
	groff -mdoc -T html ../../libarchive/mtree.5 > mtree.5.html

tar.5.html: ../../libarchive/tar.5
	groff -mdoc -T html ../../libarchive/tar.5 > tar.5.html

bsdtar.1.html: ../../tar/bsdtar.1
	groff -mdoc -T html ../../tar/bsdtar.1 > bsdtar.1.html

bsdcpio.1.html: ../../cpio/bsdcpio.1
	groff -mdoc -T html ../../cpio/bsdcpio.1 > bsdcpio.1.html
all: archive_entry.3.html archive_read.3.html archive_read_disk.3.html archive_util.3.html archive_write.3.html archive_write_disk.3.html cpio.5.html libarchive-formats.5.html libarchive.3.html libarchive_internals.3.html mtree.5.html tar.5.html bsdtar.1.html bsdcpio.1.html

=== debian/changelog ===
libarchive (2.8.3-1) unstable; urgency=low

  * Imported Upstream version 2.8.3
  * update-patch-series: 0001-Clear-archive_error_number-in-archiv...
    - gvfs has been fixed since, workaround not needed anymore.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 23 Apr 2010 13:25:33 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	-cp build/autoconf/config.sub build/autoconf/config.sub.save
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/autoconf/config.sub
endif
	-cp build/autoconf/config.guess build/autoconf/config.guess.save
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/autoconf/config.guess
endif
	# Add here commands to configure the package.
	$(SHELL) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS=" -Wl,-z,defs" --enable-bsdcpio=shared --enable-bsdtar=shared --without-openssl

update-patch-series:
	git rm -rf $(CURDIR)/debian/patches || true
	mkdir -p $(CURDIR)/debian/patches
	git format-patch -o $(CURDIR)/debian/patches patches ^upstream | \
                xargs -r -n 1 basename > $(CURDIR)/debian/patches/series
	git add $(CURDIR)/debian/patches/*

build-indep:
build-arch: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	-$(MAKE) check

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	if test -f config.status ; then $(MAKE) distclean ; fi

	-mv build/autoconf/config.guess.save build/autoconf/config.guess
	-mv build/autoconf/config.sub.save build/autoconf/config.sub

	dh_clean 

install: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# install so.1 backwards compat symlink and lintian override.
	ln -s libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
	install -d debian/tmp/usr/share/lintian/overrides/
	install -m 0644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/libarchive1
	# clean libarchive.la to avoid unneccesary libarchive-dev deps.
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/libarchive.la

binary-indep: 

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs  -a NEWS
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a --autodest
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -plibarchive-dev libarchive/*.[0-4,7-9]*
	dh_installman -plibarchive1 libarchive/*.5*
	dh_installman -pbsdtar tar/*.[1-9]
	dh_installman -pbsdcpio cpio/*.[1-9]
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
build: build-indep build-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install update-patch-series

## libarchive 2.8.4

=== debian/changelog ===
libarchive (2.8.4-1ubuntu0.11.04.1) natty-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via iso9660 overflows
    - debian/patches/CVE-2011-1777.patch: correctly fail on out of memory
      conditions in libarchive/archive_read_support_format_iso9660.c.
    - CVE-2011-1777
  * SECURITY UPDATE: arbitrary code execution via tar overflows
    - debian/patches/CVE-2011-1778.patch: correctly fail on out of memory
      conditions in libarchive/archive_read_support_format_tar.c
    - CVE-2011-1778

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 09 Dec 2011 15:22:52 -0500

libarchive (2.8.4-1) unstable; urgency=low

  * Update debian/watch for new code.google.com layout.
  * update patch series:
    + added 0003-Patch-from-upstream-rev-2516.patch
      - Compatibility with WinISO generated iso files (Closes: #587513)
    + added 0004-Patch-from-upstream-rev-2514.patch
    + added 0005-Patch-from-upstream-rev-2520.patch
      - Enable version stripping code in iso9660/joliet (Closes: #587316)
  * Imported Upstream version 2.8.4
  * update-patch-series:
    + added 0006-Patch-from-upstream-rev-2521.patch
    + added 0007-Ignore-ENOSYS-error-when-sett... (Closes: #588925)
      - Big thanks to Modestas Vainius for awesome debugging!

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 15 Jul 2010 14:45:06 +0200

=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 5.0.0),
               autotools-dev,
               libbz2-dev,
               liblzma-dev,
               libxml2-dev,
               zlib1g-dev,
               libacl1-dev,
               e2fslibs-dev,
               libattr1-dev,
               bison,
               libtool,
               sharutils
Standards-Version: 3.8.4
Section: libs
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-libarchive.git
Vcs-Git: git://git.debian.org/collab-maint/pkg-libarchive.git
Homepage: http://code.google.com/p/libarchive/

Package: libarchive-dev
Section: libdevel
Architecture: any
Conflicts: libarchive-doc
Depends: ${shlibs:Depends}, ${misc:Depends}, libbz2-dev, zlib1g-dev, libacl1-dev, e2fslibs-dev, libarchive1 (= ${binary:Version}), libattr1-dev
Description: Single library to read/write tar, cpio, pax, zip, iso9660, etc.
 The libarchive library provides a flexible interface for reading and
 writing streaming archive files such as tar and cpio.  The library is
 inherently stream-oriented; readers serially iterate through the archive,
 writers serially add things to the archive.  In particular, note that
 there is no built-in support for random access nor for in-place
 modification.
 .
 libarchive can read at least five tar formats, four cpio formats,
 ISO9660 CD/DVD images (including RockRidge extensions), and ZIP
 files.
 .
 libarchive can write two tar formats (ustar and pax), one cpio format
 (odc/POSIX), and two types of shar files (with and without uuencoding).
 .
 The bsdtar Debian package, which is the default tar(1) on FreeBSD,
 is built using libarchive.  The bsdcpio Debian package is also built
 using libarchive.
 .
 There is also a manpage, tar(5), in libarchive1 that provides
 an excellent description of the various tar file formats.

Package: libarchive1
Section: libs
Architecture: any
Conflicts: libarchive-doc, libarchive2
Replaces: libarchive2
Provides: libarchive2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single library to read/write tar, cpio, pax, zip, iso9660, etc.
 The libarchive library provides a flexible interface for reading and
 writing streaming archive files such as tar and cpio.  The library is
 inherently stream-oriented; readers serially iterate through the archive,
 writers serially add things to the archive.  In particular, note that
 there is no built-in support for random access nor for in-place
 modification.
 .
 libarchive can read at least five tar formats, four cpio formats,
 ISO9660 CD/DVD images (including RockRidge extensions), and ZIP
 files.
 .
 libarchive can write two tar formats (ustar and pax), one cpio format
 (odc/POSIX), and two types of shar files (with and without uuencoding).
 .
 The bsdtar Debian package, which is the default tar(1) on FreeBSD,
 is built using libarchive. 
 .
 There is also a manpage, tar(5), that provides an excellent description
 of the various tar file formats.

Package: bsdtar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdcpio
Description: tar(1) from FreeBSD, using libarchive
 The bsdtar program has a number of advantages over previous tar
 implementations:
 .
  * Library. Since the core functionality is in a library, it can be
    used by other tools, such as pkg_add.
 .
  * Automatic format detection. Libarchive automatically detects the
    compression (none/gzip/bzip2) and format (old tar, ustar, gnutar,
    pax, cpio, iso9660, zip) when reading archives. It does this for
    any data source.
 .
  * Pax Interchange Format Support. This is a POSIX/SUSv3 extension to
    the old "ustar" tar format that adds arbitrary extended attributes
    to each entry. Does everything that GNU tar format does, only
    better.
 .
  * Handles file flags, ACLs, arbitrary pathnames, etc. Pax interchange
    format supports key/value attributes using an easily-extensible
    technique. Arbitrary pathnames, group names, user names, file sizes
    are part of the POSIX standard; libarchive extends this with
    support for file flags, ACLs, and arbitrary device numbers.
 .
  * GNU tar support. Libarchive reads most GNU tar archives. If there
    is demand, this can be improved further.

Package: bsdcpio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdtar
Description: cpio(1) from FreeBSD, using libarchive
 This package provides an interface similar to cpio(1), but using
 libarchive as the backend for the archiving and extraction of data.
 It can read CPIO, tar, pax, zip, jar, ar, and ISO9660 images and provides
 similar features to the bsdtar package.  Features include:
 .
  * Automatic format detection. Libarchive automatically detects the
    compression (none/gzip/bzip2) and format (old tar, ustar, gnutar,
    pax, cpio, iso9660, zip) when reading archives. It does this for
    any data source.
 .
  * Pax Interchange Format Support. This is a POSIX/SUSv3 extension to
    the old "ustar" tar format that adds arbitrary extended attributes
    to each entry. Does everything that GNU tar format does, only
    better.
 .
  * Handles file flags, ACLs, arbitrary pathnames, etc. Pax interchange
    format supports key/value attributes using an easily-extensible
    technique. Arbitrary pathnames, group names, user names, file sizes
    are part of the POSIX standard; libarchive extends this with
    support for file flags, ACLs, and arbitrary device numbers.
 .
  * GNU tar support. Libarchive reads most GNU tar archives. If there
    is demand, this can be improved further.

## libarchive 2.8.4-1

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	if test -f config.status ; then $(MAKE) distclean ; fi
@@ -76,24 +76,24 @@
 	-mv build/autoconf/config.guess.save build/autoconf/config.guess
 	-mv build/autoconf/config.sub.save build/autoconf/config.sub
 
-	dh_clean 
+	dh_clean
 
 install: build-arch
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_clean -k
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# install so.1 backwards compat symlink and lintian override.
-	ln -s libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
+	#ln -s -T libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
 	install -d debian/tmp/usr/share/lintian/overrides/
 	install -m 0644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/libarchive1
 	# clean libarchive.la to avoid unneccesary libarchive-dev deps.
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/libarchive.la
 
-binary-indep: 
+binary-indep:
 
 # Build architecture-dependent files here.
 binary-arch: install
@@ -104,7 +104,7 @@
 	dh_installexamples -a
 	dh_install -a --autodest
 #	dh_installmenu
-#	dh_installdebconf	
+#	dh_installdebconf
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam

## libarchive 2.8.4.forreal

=== debian/changelog ===
libarchive (2.8.4.forreal-1+squeeze2) stable-security; urgency=low

  * Rebuild to correct orig tarball mismatch.

 -- Raphael Geissert <geissert@debian.org>  Tue, 21 Feb 2012 00:50:58 -0600

libarchive (2.8.4-1+squeeze1) stable-security; urgency=high

  * Backport fixes for fix for CVE-2011-1777 and CVE-2011-1778.
    (Closes: #651844)

 -- Andres Mejia <amejia@debian.org>  Fri, 23 Dec 2011 11:26:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libarchive
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Henriksson <andreas@fatal.se>
+Maintainer: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 5.0.0),
                autotools-dev,
                libbz2-dev,

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
 	if test -f config.status ; then $(MAKE) distclean ; fi
@@ -76,24 +76,24 @@
 	-mv build/autoconf/config.guess.save build/autoconf/config.guess
 	-mv build/autoconf/config.sub.save build/autoconf/config.sub
 
-	dh_clean
+	dh_clean 
 
 install: build-arch
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_clean -k 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# install so.1 backwards compat symlink and lintian override.
-	#ln -s -T libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
+	ln -s -T libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
 	install -d debian/tmp/usr/share/lintian/overrides/
 	install -m 0644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/libarchive1
 	# clean libarchive.la to avoid unneccesary libarchive-dev deps.
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/libarchive.la
 
-binary-indep:
+binary-indep: 
 
 # Build architecture-dependent files here.
 binary-arch: install
@@ -104,7 +104,7 @@
 	dh_installexamples -a
 	dh_install -a --autodest
 #	dh_installmenu
-#	dh_installdebconf
+#	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://libarchive.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/libarchive/downloads/detail[?]name=libarchive-([0-9.]+).tar.gz&.*

## libarchive 2.8.5

=== debian/changelog ===
libarchive (2.8.5-5) unstable; urgency=medium

  * Backport fixes for fix for CVE-2011-1777 and CVE-2011-1778.
    (Closes: #651844)
  * Fix build failure for GNU/Hurd. (Closes: #651995)
  * Regenerate autoreconf patch.

 -- Andres Mejia <amejia@debian.org>  Wed, 14 Dec 2011 12:18:31 -0500

libarchive (2.8.5-4) unstable; urgency=low

  [ Andres Mejia ]
  * Improve each packages' long description.
  * Refresh all patches.

  [ Samuel Thibault ]
  * Skip libacl1-dev build dependency on hurd (Closes: #645403)

  [ Andreas Henriksson ]
  * Add 0009-Patch-from-upstream-rev-3751.patch (Closes: #641265)
    + Thanks to Michael Cree for figuring out the details.

 -- Andres Mejia <amejia@debian.org>  Sun, 11 Dec 2011 21:55:59 -0500

libarchive (2.8.5-3) unstable; urgency=low

  * Fix upgrade breakage because of manpages being moved from libarchive1 to
    libarchive-dev. (Closes: #641978)
  * Make short descriptions for packages unique.
  * Explicitly set config options to be used during builds.

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Sep 2011 10:25:34 -0400

libarchive (2.8.5-2) unstable; urgency=low

  * Add gbp.conf to enable pristine-tar to true by default.
  * Add myself to uploaders field.
  * Add default options to fail on any upstream changes during a build.
  * Bump Standards-Version to 3.9.2.
  * Remove duplicate "Section" field.
  * Remove unnecessary use of *.dirs dh files.
  * Remove unneeded build-deps.
  * Provide patch that implements changes made after running autoreconf -vif.
  * Remove generic comments from debian/rules.
  * Support parallel builds.
  * Remove commented lines from install file.
  * Add docs to all packages except the shared library package.
  * Remove unneeded use of 'debian/tmp' in path for install files.
  * Provide different mechanism to install symlink for libarchive1 package.
  * Move all manpages for libarchive1 to libarchive-dev.
  * Move libarchive-dev control stanza up. This will make libarchive-dev the
    default package for installing files into, such as the README.Debian.
  * Convert libarchive into multiarch library package.
  * Update Vcs-* entries.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Sep 2011 18:50:11 -0400

libarchive (2.8.5-1) unstable; urgency=low

  * Add 0010-Patch-from-upstream-rev-2811.patch
  * Drop "update-patch-series" target from debian/rules
  * Convert package to dh7
  * Imported Upstream version 2.8.5 (Closes: #640524)
  * Rebase patch queue and drop patches merged upstream
    - dropped 0003-Patch-from-upstream-rev-2516.patch
    - dropped 0010-Patch-from-upstream-rev-2811.patch

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 05 Sep 2011 17:35:36 +0200

libarchive (2.8.4-2) unstable; urgency=low

  * update-patch-series:
    + replace local patch with upstream commit.
      (Rebase patches branch to drop commit/patch
       "0007-Ignore-ENOSYS-error-when-sett...", in favor of upstream
       revision 2537 added as "0007-Patch-from-upstream-rev-2537.patch")
    + add 0008-Patch-from-upstream-rev-2888.patch (Closes: #610079)
    + add 0009-Patch-from-upstream-rev-2940.patch (Closes: #610783)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Aug 2011 13:39:10 +0200

=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Debian Libarchive Maintainers <ah-libarchive@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               libbz2-dev,
               liblzma-dev,
               libxml2-dev,
               zlib1g-dev,
               libacl1-dev [!hurd-any],
               e2fslibs-dev,
               libattr1-dev,
               sharutils
Standards-Version: 3.9.2
Section: libs
Homepage: http://code.google.com/p/libarchive/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libarchive.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libarchive.git

Package: libarchive-dev
Section: libdevel
Architecture: any
Depends: libarchive1 (= ${binary:Version}), ${misc:Depends}
Replaces: libarchive1 (<< 2.8.5-3)
Breaks: libarchive1 (<< 2.8.5-3)
Description: Multi-format archive and compression library (development files)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive. In
 particular, note that there is currently no built-in support for random access
 nor for in-place modification.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * ISO9660 (read only, including Joliet and Rockridge extensions, with some
      limitations; write support starting with libarchive 2.9)
    * Zip (read only, with some limitations, uses zlib; write support starting
      with libarchive 2.8)
    * mtree (read and write, uses OpenSSL libraries for creating and verifying
      cryptographic hashes)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only, starting in libarchive 2.8)
    * xar (read only, starting in libarchive 2.8)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * lzma (if you lack liblzma, you can get read-only lzma support through the
      lzmadec library; this will likely be dropped as soon as liblzma is stable
      and widely-available)
    * Starting with libarchive 2.7, most of the above will fall back to using
      command-line tools if the libraries were unavailable at build time. Note
      that the command-line tools are usually slower than using the libraries
      directly.
 .
 This package provides the files necessary for development with libarchive.

Package: libarchive1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-format archive and compression library (shared library)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive. In
 particular, note that there is currently no built-in support for random access
 nor for in-place modification.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * ISO9660 (read only, including Joliet and Rockridge extensions, with some
      limitations; write support starting with libarchive 2.9)
    * Zip (read only, with some limitations, uses zlib; write support starting
      with libarchive 2.8)
    * mtree (read and write, uses OpenSSL libraries for creating and verifying
      cryptographic hashes)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only, starting in libarchive 2.8)
    * xar (read only, starting in libarchive 2.8)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * lzma (if you lack liblzma, you can get read-only lzma support through the
      lzmadec library; this will likely be dropped as soon as liblzma is stable
      and widely-available)
    * Starting with libarchive 2.7, most of the above will fall back to using
      command-line tools if the libraries were unavailable at build time. Note
      that the command-line tools are usually slower than using the libraries
      directly.
 .
 This package provides the libarchive shared library.

Package: bsdtar
Architecture: any
Depends: libarchive1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdcpio
Description: Implementation of the 'tar' program from FreeBSD
 The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
 uses the libarchive library as a backend which does all of the work for reading
 and writing archives in various formats in stream-oriented fashion.

Package: bsdcpio
Architecture: any
Depends: libarchive1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdtar
Description: Implementation of the 'cpio' program from FreeBSD
 The bsdcpio program is the default system 'tar' program used on FreeBSD.
 bsdcpio uses the libarchive library as a backend which does all of the work for
 reading and writing archives in various formats in stream-oriented fashion.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

# see debian bug #418637 and libarchive1.lintian-overrides
override_dh_link:
	dh_link -plibarchive1 usr/lib/$(DEB_HOST_MULTIARCH)/libarchive.so.2 \
		usr/lib/$(DEB_HOST_MULTIARCH)/libarchive.so.1
